chiark / gitweb /
Working armhf build on ODROID-U3 running Ubuntu 14.04.1
authorRui Carmo <rui.carmo@gmail.com>
Sun, 19 Oct 2014 15:47:57 +0000 (16:47 +0100)
committerYouness Alaoui <kakaroto@kakaroto.homelinux.net>
Wed, 14 Jan 2015 17:06:43 +0000 (12:06 -0500)
package.sh
scripts/linux/debian_armhf/DEBIAN/control [new file with mode: 0644]
scripts/linux/debian_armhf/DEBIAN/postinst [new file with mode: 0644]
scripts/linux/debian_armhf/usr/bin/cura [new file with mode: 0755]
scripts/linux/debian_armhf/usr/share/applications/cura.desktop [new file with mode: 0755]

index eb78dae2bc425d2fff10d313531731d4c15ebf73..57e101c2edd82844236f7247d43f716cddfb4477 100755 (executable)
@@ -13,6 +13,7 @@ BUILD_TARGET=${1:-none}
 #BUILD_TARGET=darwin
 #BUILD_TARGET=debian_i386
 #BUILD_TARGET=debian_amd64
+#BUILD_TARGET=debian_armhf
 #BUILD_TARGET=freebsd
 
 ##Do we need to create the final archive
@@ -80,6 +81,7 @@ if [ "$BUILD_TARGET" = "none" ]; then
        echo "$0 win32"
        echo "$0 debian_i386"
        echo "$0 debian_amd64"
+       echo "$0 debian_armhf"
        echo "$0 darwin"
        echo "$0 freebsd"
        exit 0
@@ -280,6 +282,42 @@ if [ "$BUILD_TARGET" = "debian_amd64" ]; then
        exit
 fi
 
+#############################
+# Debian armhf .deb
+#############################
+
+if [ "$BUILD_TARGET" = "debian_armhf" ]; then
+    export CXX="g++"
+       if [ ! -d "Power" ]; then
+               git clone https://github.com/GreatFruitOmsk/Power
+       else
+               cd Power
+               git pull
+               cd ..
+       fi
+       rm -rf CuraEngine
+       git clone ${CURA_ENGINE_REPO}
+    if [ $? != 0 ]; then echo "Failed to clone CuraEngine"; exit 1; fi
+       make -C CuraEngine VERSION=${BUILD_NAME}
+    if [ $? != 0 ]; then echo "Failed to build CuraEngine"; exit 1; fi
+       rm -rf scripts/linux/${BUILD_TARGET}/usr/share/cura
+       mkdir -p scripts/linux/${BUILD_TARGET}/usr/share/cura
+       cp -a Cura scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       cp -a resources scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       cp -a plugins scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       cp -a CuraEngine/build/CuraEngine scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       cp scripts/linux/cura.py scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       cp -a Power/power scripts/linux/${BUILD_TARGET}/usr/share/cura/
+       echo $BUILD_NAME > scripts/linux/${BUILD_TARGET}/usr/share/cura/Cura/version
+       sudo chown root:root scripts/linux/${BUILD_TARGET} -R
+       sudo chmod 755 scripts/linux/${BUILD_TARGET}/usr -R
+       sudo chmod 755 scripts/linux/${BUILD_TARGET}/DEBIAN -R
+       cd scripts/linux
+       dpkg-deb --build ${BUILD_TARGET} $(dirname ${TARGET_DIR})/cura_${BUILD_NAME}-${BUILD_TARGET}.deb
+       sudo chown `id -un`:`id -gn` ${BUILD_TARGET} -R
+       exit
+fi
+
 #############################
 # Rest
 #############################
diff --git a/scripts/linux/debian_armhf/DEBIAN/control b/scripts/linux/debian_armhf/DEBIAN/control
new file mode 100644 (file)
index 0000000..05029d0
--- /dev/null
@@ -0,0 +1,14 @@
+Package: cura
+Version: 14.01
+Section: misc
+Priority: optional
+Architecture: armhf
+Essential: no
+Depends: python-wxgtk2.8, python-opengl, python-serial, python-numpy
+Maintainer: Daid <daid303@gmail.com>
+Provides: cura
+Installed-Size: 10000
+Description: Cura is a full software solution for 3D printing,
+ aimed at RepRaps and the Ultimaker. It's free software payed for
+ and maintained by Ultimaker.
+
diff --git a/scripts/linux/debian_armhf/DEBIAN/postinst b/scripts/linux/debian_armhf/DEBIAN/postinst
new file mode 100644 (file)
index 0000000..1a24852
--- /dev/null
@@ -0,0 +1 @@
+#!/bin/sh
diff --git a/scripts/linux/debian_armhf/usr/bin/cura b/scripts/linux/debian_armhf/usr/bin/cura
new file mode 100755 (executable)
index 0000000..bd9ef0e
--- /dev/null
@@ -0,0 +1,2 @@
+#!/bin/sh
+PYTHONPATH=$PYTHONPATH:/usr/share/cura/ /usr/bin/python /usr/share/cura/cura.py "$@"
diff --git a/scripts/linux/debian_armhf/usr/share/applications/cura.desktop b/scripts/linux/debian_armhf/usr/share/applications/cura.desktop
new file mode 100755 (executable)
index 0000000..b7f665a
--- /dev/null
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Name=Cura
+Comment=Cura
+Icon=/usr/share/cura/resources/images/c.png
+Exec=/usr/bin/python /usr/share/cura/cura.py
+Path=/usr/share/cura/
+StartupNotify=true
+Terminal=false
+Categories=GNOME;GTK;Utility;